=== debian/changelog ===
3270font (1.2.3-1) unstable; urgency=medium

  * New upstream release
  * Add a watch file.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 28 Aug 2015 22:28:09 +0200
