=== debian/control ===
Source: 3270font
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper (>= 9), fontforge-nox | fontforge
Standards-Version: 3.9.6
Homepage: https://github.com/rbanffy/3270font
Vcs-Git: https://github.com/kilobyte/3270font.git -b debian
Vcs-Browser: https://github.com/kilobyte/3270font/tree/debian

Package: fonts-3270
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: monospaced font based on IBM 3270 terminals
 This font is derived from the x3270 font, which, in turn, was translated
 from the one in Georgia Tech's 3270tool, which was itself hand-copied
 from a 3270 terminal.
 .
 While looking reasonably close to its bitmap ancestors, this is a vector
 font that looks good at any size.  Its recommended use is, obviously, a
 text terminal, same as nearly half a century ago.
