=== debian/changelog ===
3270font (1.2.11-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 29 Feb 2016 17:04:01 +0100

3270font (1.2.9-1) unstable; urgency=medium

  * New upstream release.
    + It includes the Debian logo at U+F100.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 09 Jan 2016 04:36:46 +0100

3270font (1.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 07 Jan 2016 07:02:00 +0100

3270font (1.2.7-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 23 Dec 2015 12:39:42 +0100

3270font (1.2.6-1) unstable; urgency=medium

  * New upstream release.
  * Run fontlint during build, as upstream makefile does.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 22 Dec 2015 21:09:08 +0100

3270font (1.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 02 Dec 2015 23:12:19 +0100
