=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_install:

override_dh_auto_clean:
	make clean
	rm -f 3270Medium_HQ_Narrow.sfd
