=== debian/changelog ===
3270font (1.2.16-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 28 Jun 2016 11:33:52 +0200

3270font (1.2.15-1) unstable; urgency=medium

  * New upstream release.  Adds Cyrillic et al.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 24 Jun 2016 09:14:51 +0200

3270font (1.2.14-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 21 May 2016 04:22:34 +0200

3270font (1.2.13-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 20 Apr 2016 12:29:18 +0200

3270font (1.2.12-1) unstable; urgency=medium

  * New upstream release.  With a beer mug!

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 19 Apr 2016 21:56:50 +0200
