## 3270font 1.2.20

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 derived: 3270Medium_HQ.sfd
 	@./generate_derived.pe
 
-sample: derived 
+sample: derived
 	@./generate_sample_image.py
 
 help:
@@ -39,9 +39,9 @@
 	@$(RM) $(DESTFOLDER)/3270Narrow.otf $(DESTFOLDER)/3270Medium.otf $(DESTFOLDER)/3270SemiNarrow.otf
 
 zip: all
-	@zip 3270_fonts_$(shell git rev-parse --short HEAD).zip 3270Medium.* 3270SemiNarrow.* 3270Narrow.*
+	@zip 3270_fonts_$(shell git rev-parse --short HEAD).zip 3270Medium.* 3270SemiNarrow.* 3270Narrow.* LICENSE.txt
 
-test: all
+test: derived
 	@fontlint 3270Medium.otf
 	@fontlint 3270Medium.pfm
 	@fontlint 3270Medium.ttf
