=== debian/changelog ===
3270font (1.2.20-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 21 Jan 2017 01:40:51 +0100

3270font (1.2.19-1) unstable; urgency=medium

  * New upstream release.
  * Amend patches for partial upstream fix.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 05 Nov 2016 04:28:53 +0100

3270font (1.2.18-1) unstable; urgency=medium

  * New upstream release.  Adds Greek and all of WGL-4!
  * Work around upstream Makefile wanting to build a sample image.
  * Don't test non-OTF files (PFMs have a fatal error with new fontforge,
    but we don't install those anyway).

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 16 Oct 2016 04:17:52 +0200

3270font (1.2.17-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 20 Aug 2016 07:52:45 +0200
