=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 %:
 	dh $@
 
+override_dh_auto_build:
+	make derived
+
 override_dh_auto_install:
 
 override_dh_auto_clean:
