=== debian/changelog ===
3270font (2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 12 Aug 2018 19:40:18 +0200

3270font (1.2.23-2) unstable; urgency=medium

  * Update the Fonts Team address.
  * dh 11, R³.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 27 Apr 2018 02:50:15 +0200

3270font (1.2.23-1) experimental; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 10 May 2017 23:28:00 +0200

3270font (1.2.22-1) experimental; urgency=medium

  * New upstream release.
  * License change: it's now BSD3|SIL.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 09 May 2017 01:05:18 +0200

3270font (1.2.21-1) experimental; urgency=medium

  * New upstream release.
  * Bump debhelper to 10.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 02 Apr 2017 05:08:03 +0200
