=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: 3270font
 Section: fonts
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper (>= 9), fontforge-nox | fontforge
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11~), fontforge-nox | fontforge
+Standards-Version: 4.2.0
+Rules-Requires-Root: no
 Homepage: https://github.com/rbanffy/3270font
 Vcs-Git: https://github.com/kilobyte/3270font.git -b debian
 Vcs-Browser: https://github.com/kilobyte/3270font/tree/debian
