=== debian/changelog ===
3270font (2.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 20 Jun 2019 03:41:40 +0200

3270font (2.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Install appstream metadata.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 20 May 2019 00:25:07 +0200
