=== requirements.txt ===
git+https://github.com/googlefonts/fontbakery
git+https://github.com/googlefonts/gftools
pillow
ipdb
