=== debian/changelog ===
3270font (2.0.3-1) unstable; urgency=medium

  * New upstream release.
  * dh 12.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 30 Dec 2019 21:28:35 +0100
