=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	dh $@
 
 override_dh_auto_build:
-	make derived
+	make font
 
 override_dh_auto_install:
