=== requirements.txt ===
git+https://github.com/googlefonts/fontbakery
git+https://github.com/googlefonts/gftools
black
flake8
ipdb
isort
pillow==7.0.0 #Remove when googlefonts/gftools merges #249
