=== debian/changelog ===
3270font (2.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 08 Oct 2021 22:30:33 +0200

3270font (2.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 13 Sep 2021 03:14:41 +0200

3270font (2.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 07 Mar 2021 21:52:28 +0100
