=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,6 @@
 override_dh_auto_clean:
 	make clean
 	rm -f 3270Medium_HQ_Narrow.sfd
+
+override_dh_auto_test:
+	for f in build/*f; do fontlint -i 98 $$f || exit 1; done
