=== debian/changelog ===
3270font (3.0.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 30 Jul 2022 01:05:25 +0200

3270font (3.0.0-2) unstable; urgency=medium

  * Install TTF not OTF, the latter produces uneven glyphs somehow.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 08 Jul 2022 07:49:53 +0200

3270font (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Don't run fontlint during build for now...

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 02 Jul 2022 02:19:39 +0200

3270font (2.3.1-2) unstable; urgency=medium

  * Ignore two fontlint warnings (intersecting glyph, points at extrema).
    Closes: #1013548.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 26 Jun 2022 23:48:14 +0200
