=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/3270font-$1\.tar\.gz/ \
  https://github.com/rbanffy/3270font/tags .*/v(\d\S*)\.tar\.gz
